debug_getRawBlock-polygon

Retrieves and returns the RLP encoded block by number.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

  • QUANTITY|TAG - integer block number, or the string "latest", "earliest" or "pending", see the default block parameter.
curl https://polygon-mainnet-archive.allthatnode.com:8545/8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj \
--request POST \
--header "Content-Type: application/json" \
--data '{
    "jsonrpc":"2.0",
    "id":1,
    "method":"debug_getRawBlock",
    "params":[
      "latest"
    ]
}'

Returns

  • Block RLP: hex encoded bytes

Check here for more details about "RLP".

{
  "jsonrpc": "2.0",
  "id": "1",
  "result": "c494c942aa0ade036d0....8e7d54a4303c4bc774567a3"
}

Try Yourself

Path Params
string
required
Defaults to 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj
Body Params
string
required
Defaults to { "id": 1, "jsonrpc": "2.0", "method": "trace_replayBlockTransactions", "params": [ "0x2B9BB83", ["trace"] ] }
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!